API ReferenceAutomation

Pause, resume or revoke spending from an automation

POST
/api/automation/kill-switch

For a Zap such as "text STOP to pause every agent". Without mandateId it acts on all of the user's mandates. Logged in the signed decision log as "via automation".

Authorization

automationSecret
AuthorizationBearer <token>

The server's AUTOMATION_SECRET (16+ characters), stored in the Zap.

In: header

Request Body

application/json

action*string

Value in

  • "pause"
  • "resume"
  • "revoke"
mandateId?string

Only this mandate. Omit for all of the user's mandates.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/automation/kill-switch" \  -H "Content-Type: application/json" \  -d '{    "action": "pause"  }'
{  "ok": true,  "action": "string",  "status": "active",  "changed": [    "string"  ]}